<?php
//header(" charset=utf-8");
use_helper('UtilFunctions');

if($idprestamo){
	$o_PrestamoBean = new PrestamoBean();
	$o_PrestamoBean->setIdPrestamo($idprestamo);
	$o_class = new PrestamoBL();
	$a_ObjectBean = $o_class->busquedaPrestamo($o_PrestamoBean);
	
	//Listado de Pagos
	$o_pagoBean = new PagoBean();
	$o_pagoBean->setIdPrestamo($idprestamo);
	$o_pagoBean->setTipopago(1);
	$o_PagoBL = new PagoBL();
	$a_pagos = $o_PagoBL->busquedaPago($o_pagoBean);
	
	if(is_array($a_ObjectBean)){
        while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
            
            $idCliente = $o_ObjectBean->getIdCliente();
        	if($idcliente != md5($idCliente)) exit("operacion no valida");
        }
	}
	
	
	
	
	
}

function pintarEstadoCuenta($a_ObjectBean,$idprestamo,$idcliente){
     $fontwidth  	= "border-width:0.1px 0.1px 0.1px 0.1px;";
    /*
    $o_PrestamoBean = new PrestamoBean();
    $o_PrestamoBean->setIdPrestamo($idprestamo);
    $o_class = new PrestamoBL();
    $a_ObjectBean = $o_class->busquedaPrestamo($o_PrestamoBean);
    */
    //Listado de Pagos
    $o_pagoBean = new PagoBean();
    $o_pagoBean->setIdPrestamo($idprestamo);
    $o_pagoBean->setTipopago(1);
    $o_PagoBL = new PagoBL();
    $a_pagos = $o_PagoBL->busquedaPago($o_pagoBean);
    //Listado de Pagos Mora
	$o_pagoBean = new PagoBean();
	$o_pagoBean->setIdPrestamo($idprestamo);
	$o_pagoBean->setTipopago(2);
	
	$o_PagoBL = new PagoBL();
	$a_pagosMora = $o_PagoBL->busquedaPago($o_pagoBean);
    if(is_array($a_ObjectBean)){
        while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
            
            $o_ClienteBean = new ClienteBean();
        	$o_ClienteBean->setIdCliente($o_ObjectBean->getIdCliente());
        	$idCliente = $o_ObjectBean->getIdCliente();
        	if($idcliente != md5($idCliente)) exit("operacion no valida");
        	$o_class = new ClienteBL();
        	$a_ObjectCliente = $o_class->busquedaCliente($o_ClienteBean);
        	
        	while(list($keyCli,$o_ObjectBeanCli) = each($a_ObjectCliente)){
        		$Nombre = $o_ObjectBeanCli->getNombreCompleto();		
        		$Dni = $o_ObjectBeanCli->getDni();		
        		$Telefono = $o_ObjectBeanCli->getTelefono();		
        		$Celular = $o_ObjectBeanCli->getCelular();	
        		$Direccion = $o_ObjectBeanCli->getDireccion();	
        		if($o_ObjectBeanCli->getFlagInfocorp()=='S'){
        	  		$o_clasificacion = getClasificacionInfocorp($o_ObjectBeanCli->getScoreInfocorp());
        	  		$ColorInfocorp = $o_ObjectBeanCli->getColorInfocorp();
        	  		$FlagInfocorp = $o_ObjectBeanCli->getFlagInfocorp();
        	  		$ClasificacionInfocorp = $o_ObjectBeanCli->getClasificacionInfocorp();
        	  		$ScoreInfocorp = $o_ObjectBeanCli->getScoreInfocorp();
        	  		
        	  		$codigoinfocorp = $o_clasificacion->codigo;
        	  	}		
        		$IdTipoNegocio = $o_ObjectBeanCli->getIdTipoNegocio();
        
        		$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
        		$a_TipoNegocio = $o_ClienteSystemClass->getTipoNegocio();
        		
        		foreach ($a_TipoNegocio as $iKey => $o_TipoNegocioBean){
        			$a_descripcion_tn[$o_TipoNegocioBean->getIdTipoNegocio()] = $o_TipoNegocioBean->getDescripcion();
        		}
        		
        		$o_MercadoBean = new MercadoBean();
        		$o_MercadoBean->setIdMercado($o_ObjectBeanCli->getIdMercado());
        		$o_class = new MercadoBL();
        		$ObjectBean = $o_class->busquedaMercado($o_MercadoBean);
        		
        		$NombreMercado = $ObjectBean[0]->getDescripcion();
        	}
    ?>
   
        
        <table border="0" cellpadding="5" cellspacing="0">
			    <tr>
    				<td style="<?php echo $fontwidth;?>" height="0">
    				  
    					
    					 <table border="0" cellspacing="0" cellpadding="1">
							   <tr>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" width="10%" style="<?php echo $fontwidth;?>">Nombre </td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" width="30%" align="left">&nbsp;:&nbsp;<?php echo $Nombre?></td>
							
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" style="<?php echo $fontwidth;?>" width="10%" style="<?php echo $fontwidth;?>">Mercado</td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" width="20%" align="left">&nbsp;:&nbsp;<?php echo strtoupper($NombreMercado)?></td>
								
								
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" width="10%" style="<?php echo $fontwidth;?>">Dni</td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" width="20%" align="left">&nbsp;:&nbsp;<?=$Dni?></td>
								
								
							  </tr>
							   <tr>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" style="<?php echo $fontwidth;?>">Telefono</td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" align="left">&nbsp;:&nbsp;<?=$Telefono?></td>
							
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" style="<?php echo $fontwidth;?>">T.Negocio</td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" align="left">&nbsp;:&nbsp;<?=$a_descripcion_tn[$IdTipoNegocio]?></td>
								
									<td nowrap="nowrap" style="<?php echo $fontwidth;?>" style="<?php echo $fontwidth;?>">Infocorp</td>
								<td align="left" style="color:<?=$ColorInfocorp?>;<?php echo $fontwidth;?>">&nbsp;:<?php echo $codigoinfocorp?><? if($FlagInfocorp=='S'){ echo $ClasificacionInfocorp."(";echo $ScoreInfocorp.")"; }else echo "-";?></td>
								
								
							  </tr>
							  <tr>
							    <td nowrap="nowrap" <?php echo $fontwidth;?>>Celular</td>
								<td nowrap="nowrap" <?php echo $fontwidth;?> align="left">&nbsp;:&nbsp;<?=$Celular?></td>
								<td nowrap="nowrap" <?php echo $fontwidth;?> style="<?php echo $fontwidth;?>">Direccion</td>
								<td align="left" <?php echo $fontwidth;?> colspan="3"><?php echo $Direccion?></td>
								
							  </tr>
							  
						</table>
    							
    				</td>
                </tr>
                <tr>
    				  <td height="0">
    			
    					 <table border="0" cellspacing="0" cellpadding="1">
								
							   <tr>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>">F. Inicio</td>
								<td nowrap="nowrap"  style="<?php echo $fontwidth;?>" align="left">&nbsp;:&nbsp;<?=$o_ObjectBean->getFechaInicio()?></td>
								<td nowrap="nowrap"  style="<?php echo $fontwidth;?>">F. Venc</td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" align="left">&nbsp;:&nbsp;<?=$o_ObjectBean->getFechaVencimiento()?></td>
								
								<td nowrap="nowrap"  style="<?php echo $fontwidth;?>">Estado</td>
								
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<?if($o_ObjectBean->getEstado()=='P'){echo "Pendiente";} elseif($o_ObjectBean->getEstado()=='C') {echo "Cancelado";} elseif($o_ObjectBean->getEstado()=='M') {echo "Moroso";}elseif($o_ObjectBean->getEstado()=='I') {echo "Incompleto";}?></td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>">N.Letra</td>
								<td nowrap="nowrap"  style="<?php echo $fontwidth;?>" align="left"><?php echo $o_ObjectBean->getNumeroLetra()?></td>
							
							  </tr>
							   <tr>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>">Capital</td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" align="left">&nbsp;:&nbsp;S/.&nbsp;<?=number_format($o_ObjectBean->getMontoPrestado(),2)?></td>
								<td nowrap="nowrap"  style="<?php echo $fontwidth;?>">M. Total</td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" align="left">&nbsp;:&nbsp;S/.&nbsp;<?=number_format($o_ObjectBean->getMontoTotal(),2)?></td>
								
								<td nowrap="nowrap"  style="<?php echo $fontwidth;?>">Interes(%)</td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" align="left">&nbsp;:&nbsp;&nbsp;<?=$o_ObjectBean->getInteresPorcentaje()?></td>
								
								<td nowrap="nowrap"  style="<?php echo $fontwidth;?>">Saldo</td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" align="left">&nbsp;:&nbsp;S/.&nbsp;<?=number_format($o_ObjectBean->getSaldoPrestamo(),2)?></td>
								
							  </tr>
							  <tr>
								<td nowrap="nowrap"  style="<?php echo $fontwidth;?>">Cobrador Origen</td>
								<td nowrap="nowrap" style="<?php echo $fontwidth;?>" colspan="7" align="left">&nbsp;:&nbsp;<?php echo $o_ObjectBean->getColaboradorOrigen()?></td>
							  </tr>
						</table>
    								
    				</td>
                </tr>
          		<tr>
    				  <td  align="center" style="text-align:center">
    				 
						
    	 <table  width="80%" style="margin:0px auto" align="center" border="0" cellspacing="0" cellpadding="0">
								  	 <?php
								  	 if(is_array($a_pagos)){?>
								  	<tr style="background-color:#CC0000;color:#fff">
									  	<th style="background-color:#CC0000" nowrap="nowrap">Nro.</th>
									  	<th style="background:#CC0000" nowrap="nowrap">Fecha</th>
									  	
									  	<th style="background:#CC0000" nowrap="nowrap" align="right">Monto&nbsp;(S/.)</th>
									  	<th style="background:#CC0000" nowrap="nowrap" align="center">Saldo</th>
										<th style="background:#CC0000" nowrap="nowrap" align="center">Tipo</th>
								  	 </tr>
								  	 <?php foreach ($a_pagos as $key => $o_Pago){
								  	 	$o_BalanceDia = new BalanceDiaBean();
								  	 	$o_BalanceDia->setIdSucursal($IdSucursal);
								  	 	$o_BalanceDia->setFechaBalance(substr($o_Pago->getFechaPago(),0,10));
								  	 	$o_BalanceDia->setFechaBalanceFinal(substr($o_Pago->getFechaPago(),0,10));
								  	 	
								  	 	$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
								  	 	$a_o_balance = $o_BalanceDiaDP->select();
								  	 	$flag = 0;
								  	 	$flag_check = 0; 
								  	 
								  	 	?>
								  	
								  	  <?if($key==0){?>
									  <tr>
								  	     <td colspan="5" style="font-size:12px; font-weight:bold; color:#000;text-align:right;<?php echo $fontwidth;?>">Monto Total:&nbsp;&nbsp;S/.<?=number_format($o_ObjectBean->getMontoTotal(),2)?></td>
									   </tr>
								  	   <?}?>
								  	
								  	<tr>
									  	<td  class="chk" align="center" <?if((float)$o_Pago->getMontoPago()=='0'){?><?php echo 'style="font:12px; font-weight:bold; color:#FF0000;'.$fontwidth.'"';}else{?>style="<?php echo $fontwidth;?>"<?php }?>>
									  	    
  										  	    <?=$key+1?>    
										
									  	</td>
									  	<td <?if((float)$o_Pago->getMontoPago()=='0'){?><?php echo 'style="font:12px; font-weight:bold; color:#FF0000;'.$fontwidth.'"';}?> align="center">
									  	   
										  	    <?=substr($o_Pago->getFechaPago(),0,10)?>    
										    
										 
									  	     </td>
									  
									  	<td align="right" <?php if((float)$o_Pago->getMontoPago()!='0'){?> style="font:12px; font-weight:bold; color:#009900;<?php echo $fontwidth;?>"<?php }else{?> style="font:12px; font-weight:bold; color:#FF0000;<?php echo $fontwidth;?>"  <?php }?>>
  									  	<?php 
  									  	if($flag){?>
  										  
  										  	<?if((float)$o_Pago->getMontoPago()!='0'){?>
  										  	    <? echo number_format($o_Pago->getMontoPago(),2);?>    
											<?}else{?>
											   <? echo number_format($o_Pago->getMontoPago(),2);?>    
											<?}?>
  										  
  										  	<?php 
  										  	$total +=$o_Pago->getMontoPago();
  									  	}else{?>
  									  	    <?if((float)$o_Pago->getMontoPago()!='0'){?>
  										  	    <? echo number_format($o_Pago->getMontoPago(),2);?>    
											<?}else{?>
											  <? echo number_format($o_Pago->getMontoPago(),2);?>    
											<?}?>
  										  	<?php
  										  		$total +=$o_Pago->getMontoPago();
  										  	 }
  										  	?>
									  	</td>
									  	<td align="center" <?if((float)$o_Pago->getMontoPago()=='0'){?><?php echo 'style="font:12px; font-weight:bold; color:#FF0000;'.$fontwidth.'"';}else{?>style="<?php echo $fontwidth;?>"<?php }?>>
  										  	    <?php echo number_format(($o_ObjectBean->getMontoTotal()-$total),2);?>    
									  	 </td>
									  	
										<td align="center" <?if((float)$o_Pago->getMontoPago()=='0'){?><?php echo 'style="font:12px; font-weight:bold; color:#FF0000;'.$fontwidth.'"';}else{?>style="<?php echo $fontwidth;?>"<?php }?>><?=$o_Pago->getTiporeferencia()?></td>
								  	 </tr>
								  	 
								  	 <?php }?>
								  	  <tr>
						    			<td colspan="2"  style="<?php echo $fontwidth;?>;font-weight:bold;" align="right">Total Pago</td>
						    			<td style="<?php echo $fontwidth;?>;font-weight:bold;" align="right" >S/.&nbsp;<?=number_format($total,2)?></td>
						    			<td style="<?php echo $fontwidth;?>" align="right">&nbsp;</td>
						    			<td style="<?php echo $fontwidth;?>" align="right">&nbsp;</td>
						  			</tr>
								  	 <?}else{?>
								  	 	<tr>
								  	 	   <td colspan="4">No hay Pagos.</td>
								  	 	</tr>
								  	 <?}
								  	 ?>
								  	 <?php
									  
								  	 if(is_array($a_pagosMora)){
								  	 	$total = 0;?>
								  	
								  	<tr >
									  	<td nowrap="nowrap" style="<?php echo $fontwidth;?>">Nro.</td>
									  	<td nowrap="nowrap" style="<?php echo $fontwidth;?>">Fecha</td>
									  
									  	<td nowrap="nowrap" align="right" style="<?php echo $fontwidth;?>">Pagos</td>
									  	<td nowrap="nowrap" align="right" style="<?php echo $fontwidth;?>"></td>
									  
									  	<td nowrap="nowrap" align="right" style="<?php echo $fontwidth;?>">Tipo</td>
									  	
									  	
								  	 </tr>
								  	 <?php foreach ($a_pagosMora as $key => $o_Pago){?>
								  	
								  	<tr>
									  	<td style="<?php echo $fontwidth;?>"><?=$key+1?> </td>
									  	<td style="<?php echo $fontwidth;?>"><?=substr($o_Pago->getFechaPago(),0,10)?></td>
									  
									  	<td align="right" style="<?php echo $fontwidth;?>">
  									  	<?php echo number_format($o_Pago->getMontoPago(),2);?>   
                                        <?php 
  										  	$total +=$o_Pago->getMontoPago();
  										  	?>
									  	</td>
									  	<td style="<?php echo $fontwidth;?>"></td>
									  	 <td style="<?php echo $fontwidth;?>"><?php
									  	 	
									  	 	 if($o_Pago->getTipo() == 2){ echo "MORA";};
									  	 	?>
									  	 </td>
									  
										
								  	 </tr>
								  	 
								  	 <?php }?>
								  	  <tr>
						    			<td colspan="2"  align="right">Total Pago</td>
						    			<td align="right" >S/.&nbsp;<?=number_format($total,2)?></td>
						    			<td align="right" width="5%">&nbsp;</td>
						  			</tr>
								  	 <?}?>
								   
    	     					</table>		
         
        
                  
						  		
						  	
						</td>
				</tr>
		</table>
    			
         
        

    
    <?php
        }
    }
    
}

ViewResponse::getInstance()->setMethodAjax();



class MYPDF extends TCPDF {
// Page footer
public function Header() {
    //set text color
$this->SetTextColor(255,0,0);

}
}


$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Nicola Asuni');
$pdf->SetTitle('TCPDF Example 005');
$pdf->SetSubject('TCPDF Tutorial');
$pdf->SetKeywords('TCPDF, PDF, example, test, guide');

//$pdf->SetHeaderData("ca_logo.jpg", 50, "Resumen","");



// set font
$pdf->SetFont('times', '', 8);
// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

$pdf->SetAuthor('');
$pdf->SetTitle('Reporte de Prestamos Nuevos');
$pdf->SetSubject('TCPDF Tutorial');

// set margins
//echo PDF_MARGIN_FOOTER;
$pdf->SetMargins(2, 16, 2);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(5);


// set default header data
$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, "Estado de Cuenta - ".$idprestamo, "Codigo: ".$idCliente." | Fecha: ".(date("Y-m-d H:i:s"))."  ",array(0,51,153),array(179,179,179));

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, 5);

ob_start();	

pintarEstadoCuenta($a_ObjectBean,$idprestamo,$idcliente);
// add a page
$pdf->AddPage();
ob_implicit_flush(0);

$tbl .= "<html>";
$tbl .= "<body>";
$tbl .= ob_get_clean();
$tbl .= "</body>";
$tbl .= "</html>";
//echo $tbl;
$pdf->writeHTML($tbl, true, false, false, false, '');
$o_class = new Cr_cliente_fileFN();
$o_class->setIdCliente( $idCliente );
$o_class->setEliminado( -1 );
$o_class->setIdtipofile( 8 ); 
$o_class->addOrderBy( Cr_cliente_fileFN::FechaRegistro,false);
$tamanioPag = 1;
if( !isset( $page ) ) $page = 1;
$limitInf = ( $page - 1 ) * $tamanioPag;

$a_ObjectBean = $o_class->select( $limitInf, $tamanioPag );

if( $a_ObjectBean ){
    foreach ( $a_ObjectBean as $i_Key => $o_Cr_cliente_fileBN ){
        $s_DirImages = "/images/uploadFiles/";
		$s_NombreFile = $o_Cr_cliente_fileBN->getNombreFile();
		$s_Destino = $s_DirImages.$s_NombreFile;
    }
}
if($s_Destino){
    $pdf->AddPage();
    $tbl = '<html>';
    $tbl .= '<body>';
    $tbl .= '<img src="'.$s_Destino.'">';
    $tbl .= '</body>';
    $tbl .= '</html>';
  $pdf->writeHTML($tbl, true, false, false, false, '');  
} 

$pdf->Output('estado_cuenta.pdf', 'I');

?>